#!/usr/bin/env python

'''A program to create a digest file from a data file.'''

import sys
import os
from anuga.utilities.system_tools import make_digest_file

# assumed program name - refreshed from command line args
Prog_Name = 'mk_digest.py'

# print usage info. and exit
def usage():
    print 'usage: %s <datafile> <digestfile>' % Prog_Name
    print 'where <datafile>   is the file for which we create a digest string'
    print '      <digestfile> is the created file that contains the hex string.'
    sys.exit(10)

# get program name
# does this work on  Windows?
Prog_Name = os.path.basename(sys.argv[0])

# check args
if len(sys.argv) != 3:
    usage()

# get the filenames
datafile = sys.argv[1]
digestfile = sys.argv[2]

# create the tarred/compressed file
make_digest_file(datafile, digestfile)
